# base.nix: basic have-this-everywhere nixos config

{ config, lib, pkgs, ... }:

{
  imports = [ 
    ../hardware-configuration.nix
    ./users.nix
  ];

  # Select internationalisation properties.
  i18n.defaultLocale = "de_DE.UTF-8";
  console.font = "Lat2-Terminus16";
  console.keyMap = "de";

  time.timeZone = "Europe/Berlin";
  services.timesyncd.enable = true;

  environment.systemPackages = with pkgs; [
    pkgs.vim_configurable
    pkgs.neovim
    pkgs.zsh
    pkgs.wget 
    pkgs.curl 
    pkgs.rsync 
    pkgs.git
    pkgs.git-hub 
    pkgs.python3
    pkgs.pciutils
    pkgs.dmidecode
    pkgs.cpufrequtils
    pkgs.binutils
    pkgs.mc
    pkgs.git
    pkgs.htop
    pkgs.bpytop
  ];

  networking.firewall = {
    enable = true;
    allowPing = true;
  };
  services.openssh.enable = true;

}
